local zone = "The Culling of Stratholme"

--en_zone, debuffID, order, icon_priority, color_priority, timer, stackable, color, default_disable, noicon

--Trash
GridStatusRaidDebuff:Debuff(zone, 58810, 1, 5, 5) --Wretching Bile
GridStatusRaidDebuff:Debuff(zone, 58770, 2, 5, 5) --Drain Mana
GridStatusRaidDebuff:Debuff(zone, 20812, 3, 5, 5) --Cripple
GridStatusRaidDebuff:Debuff(zone, 58782, 4, 5, 5) --Hemotoxin
GridStatusRaidDebuff:Debuff(zone, 58816, 5, 5, 5) --Temporal Vortex
GridStatusRaidDebuff:Debuff(zone, 58811, 6, 5, 5) --Corruption
GridStatusRaidDebuff:Debuff(zone, 46190, 7, 5, 5) --Curse of Agony

--Meathook
GridStatusRaidDebuff:BossName(zone, 10, "Meathook")
GridStatusRaidDebuff:Debuff(zone, 29544, 11, 5, 5, true) --Constricting Chains

--Salramm the Fleshcrafter
GridStatusRaidDebuff:BossName(zone, 20, "Salramm the Fleshcrafter")
GridStatusRaidDebuff:Debuff(zone, 58823, 21, 5, 5) --Curse of Twisted Flesh

--Chrono-Lord Epoch
GridStatusRaidDebuff:BossName(zone, 30, "Chrono-Lord Epoch")
GridStatusRaidDebuff:Debuff(zone, 52772, 31, 5, 5, true) --Curse of Exertion
GridStatusRaidDebuff:Debuff(zone, 58848, 31, 5, 5) --Time Stop
GridStatusRaidDebuff:Debuff(zone, 52766, 31, 5, 5, true) --Time Warp

--Mal'Ganis
GridStatusRaidDebuff:BossName(zone, 40, "Mal'Ganis")
GridStatusRaidDebuff:Debuff(zone, 58852, 41, 5, 5) --Carrion Swarm
GridStatusRaidDebuff:Debuff(zone, 58849, 42, 5, 5, true) --Sleep

--Infinite Corruptor
GridStatusRaidDebuff:BossName(zone, 50, "Infinite Corruptor")
GridStatusRaidDebuff:Debuff(zone, 60588, 51, 5, 5, false, true) --Corrupting Blight